[arch-commits] Commit in (5 files)

David Runge dvzrv at archlinux.org
Sun Jul 19 08:33:12 UTC 2020


    Date: Sunday, July 19, 2020 @ 08:33:12
  Author: dvzrv
Revision: 664526

Adding wireplumber.

Added:
  wireplumber/
  wireplumber/repos/
  wireplumber/trunk/
  wireplumber/trunk/PKGBUILD
  wireplumber/trunk/wireplumber-0.3.0-devendor_cpptoml.patch

------------------------------------------+
 PKGBUILD                                 |   49 +++++++++++++++++++++
 wireplumber-0.3.0-devendor_cpptoml.patch |   65 +++++++++++++++++++++++++++++
 2 files changed, 114 insertions(+)

Added: wireplumber/trunk/PKGBUILD
===================================================================
--- wireplumber/trunk/PKGBUILD	                        (rev 0)
+++ wireplumber/trunk/PKGBUILD	2020-07-19 08:33:12 UTC (rev 664526)
@@ -0,0 +1,49 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+pkgname=wireplumber
+pkgver=0.3.0
+pkgrel=1
+pkgdesc="Session / policy manager implementation for PipeWire"
+arch=('x86_64')
+url="https://gitlab.freedesktop.org/pipewire/wireplumber"
+license=('MIT')
+depends=('gcc-libs' 'glibc')
+makedepends=('cmake' 'cpptoml' 'glib2' 'meson' 'pipewire')
+source=("$pkgname-$pkgver.tar.gz::https://gitlab.freedesktop.org/pipewire/${pkgname}/-/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz"
+        "${pkgname}-0.3.0-devendor_cpptoml.patch")
+sha512sums=('4cdfa5e91ae5e0b7b9899a3aaa761e57f01af727df63d47f784f4128811d22bc2b9f22e1b37169a259fbef3c41a8ec2347c157bcc3fbebc91db67c5d2958c913'
+            'b1656d3f4ad510bd4942889ef8169387639f02a92de4c70a16d690908a807d3806617a668b07858acf8f43a6ab9f364c26827744c08b394d0d7b667bb81b5b0b')
+b2sums=('29e64b646681e1a556a6367b98e55e944f3cce60905ca9b201ec373720a2d8af3cc60ca1991fd8485677165d47e5bc9f3ad9f9ecf009a1d7fd607a03e468c01d'
+        'b589a0c88153f27c21ca4a1bdfeedd3b1a87b60abe8b4ed3568ba34b75919ef187aa686ee265c1444d44ff055d95d57e14a0947b1715c294cab380ecba0b68e7')
+
+prepare() {
+  cd "$pkgname-$pkgver"
+  # allow using system cpptoml
+  # https://gitlab.freedesktop.org/pipewire/wireplumber/-/issues/17
+  patch -Np1 -i "../${pkgname}-0.3.0-devendor_cpptoml.patch"
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+  meson --prefix='/usr' \
+        --buildtype plain \
+        --wrap-mode nodownload \
+        -D b_lto=true \
+        -D b_pie=true \
+        build
+  ninja -C build
+}
+
+check() {
+  cd "$pkgname-$pkgver"
+  ninja -C build test || echo "Known to fail"
+}
+
+package() {
+  depends+=('libgio-2.0.so' 'libglib-2.0.so' 'libgmodule-2.0.so'
+  'libgobject-2.0.so' 'libpipewire-0.3.so')
+  cd "$pkgname-$pkgver"
+  DESTDIR="${pkgdir}" meson install -C build
+  install -vDm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -vDm 644 {NEWS,README}.md -t "${pkgdir}/usr/share/doc/${pkgname}"
+}

Added: wireplumber/trunk/wireplumber-0.3.0-devendor_cpptoml.patch
===================================================================
--- wireplumber/trunk/wireplumber-0.3.0-devendor_cpptoml.patch	                        (rev 0)
+++ wireplumber/trunk/wireplumber-0.3.0-devendor_cpptoml.patch	2020-07-19 08:33:12 UTC (rev 664526)
@@ -0,0 +1,65 @@
+diff -ruN a/lib/wptoml/array.cpp b/lib/wptoml/array.cpp
+--- a/lib/wptoml/array.cpp	2020-06-29 18:36:49.000000000 +0200
++++ b/lib/wptoml/array.cpp	2020-07-19 09:50:14.930311451 +0200
+@@ -10,7 +10,7 @@
+ #include <functional>
+ 
+ /* CPPTOML */
+-#include <include/cpptoml.h>
++#include <cpptoml.h>
+ 
+ /* TOML */
+ #include "private.h"
+diff -ruN a/lib/wptoml/file.cpp b/lib/wptoml/file.cpp
+--- a/lib/wptoml/file.cpp	2020-06-29 18:36:49.000000000 +0200
++++ b/lib/wptoml/file.cpp	2020-07-19 09:50:28.923522152 +0200
+@@ -7,7 +7,7 @@
+  */
+ 
+ /* CPPTOML */
+-#include <include/cpptoml.h>
++#include <cpptoml.h>
+ 
+ /* TOML */
+ #include "private.h"
+diff -ruN a/lib/wptoml/table.cpp b/lib/wptoml/table.cpp
+--- a/lib/wptoml/table.cpp	2020-06-29 18:36:49.000000000 +0200
++++ b/lib/wptoml/table.cpp	2020-07-19 09:50:46.786698703 +0200
+@@ -10,7 +10,7 @@
+ #include <functional>
+ 
+ /* CPPTOML */
+-#include <include/cpptoml.h>
++#include <cpptoml.h>
+ 
+ /* TOML */
+ #include "private.h"
+diff -ruN a/meson.build b/meson.build
+--- a/meson.build	2020-06-29 18:36:49.000000000 +0200
++++ b/meson.build	2020-07-19 10:17:13.288978511 +0200
+@@ -26,9 +26,13 @@
+   wireplumber_config_dir = join_paths(get_option('prefix'), get_option('sysconfdir'), 'wireplumber')
+ endif
+ 
+-cmake = import('cmake')
+-cpptoml = cmake.subproject('cpptoml')
+-cpptoml_dep = cpptoml.dependency('cpptoml')
++if get_option('wrap_mode') == 'nodownload'
++  cpptoml_dep = dependency('cpptoml')
++else
++  cmake = import('cmake')
++  cpptoml = cmake.subproject('cpptoml')
++  cpptoml_dep = cpptoml.dependency('cpptoml')
++endif
+ 
+ gobject_dep = dependency('gobject-2.0', version : '>= 2.58')
+ gmodule_dep = dependency('gmodule-2.0', version : '== ' + gobject_dep.version())
+diff -ruN a/subprojects/cpptoml.wrap b/subprojects/cpptoml.wrap
+--- a/subprojects/cpptoml.wrap	2020-06-29 18:36:49.000000000 +0200
++++ b/subprojects/cpptoml.wrap	2020-07-19 10:16:27.232734437 +0200
+@@ -1,4 +1,4 @@
+ [wrap-git]
+ directory=cpptoml
+ url=https://github.com/skystrife/cpptoml.git
+-revision=master
++revision=v0.1.1


More information about the arch-commits mailing list